LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Classes | Namespaces | Functions
ustring.hxx File Reference
`#include "sal/config.h"`
`#include <cassert>`
`#include <cstddef>`
`#include <new>`
`#include <ostream>`
`#include <utility>`
`#include <string.h>`
`#include "rtl/ustring.h"`
`#include "rtl/string.hxx"`
`#include "rtl/stringutils.hxx"`
`#include "rtl/textenc.h"`
`#include "sal/log.hxx"`

Go to the source code of this file.

## Classes
class | rtl::OUString
| This String class provides base functionality for C++ like Unicode character array handling. More...
struct | rtl::OUStringHash
| A helper to use OUStrings with hash maps. More...

## Namespaces
| rtl

## Functions
OUString | rtl::OStringToOUString (const OString &rStr, rtl_TextEncoding encoding, sal_uInt32 convertFlags=OSTRING_TO_OUSTRING_CVTFLAGS)
| Convert an OString to an OUString, using a specific text encoding. More...
OString | rtl::OUStringToOString (const OUString &rUnicode, rtl_TextEncoding encoding, sal_uInt32 convertFlags=OUSTRING_TO_OSTRING_CVTFLAGS)
| Convert an OUString to an OString, using a specific text encoding. More...
template<typename charT , typename traits >
std::basic_ostream< charT, traits > & | rtl::operator<< (std::basic_ostream< charT, traits > &stream, OUString const &rString)
| Support for rtl::OUString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example). More...